<div class="mx-4">
    @foreach ($agenceInfoUpdate as $i)
        @php
            $allAgences[$i->AGENCE_NOM][] = $i;
        @endphp
    @endforeach
    @foreach ($allAgences as $agence)
        @php
            $agenceId = $agence[0]->AGENCE_ID ?: '';
            $actif = $agence[0]->AGENCE_COMPTEACTIF ?: '';
            $type = $agence[0]->AGENCE_TYPE ?: '';
            $nom = $agence[0]->AGENCE_NOM ?: '';
            $raisonSociale = $agence[0]->AGENCE_RAISONSOCIALE ?: '';
            $statutJuridique = $agence[0]->AGENCE_STATUTJURIDIQUE ?: '';
            $montantCapital = $agence[0]->AGENCE_CAPITAL ?: '';
            $montantCapital = number_format($montantCapital, 2, ',', ' ');
            $dateEntree = str_replace(' ', 'T', $agence[0]->AGENCE_DATEENTREE) ?: '';
            $dateDernierRenouvellement = str_replace(' ', 'T', $agence[0]->AGENCE_DATEDERNIERRENOUVELLEMENT) ?: '';
            $dateEcheance = str_replace(' ', 'T', $agence[0]->AGENCE_DATEECHEANCE) ?: '';
            $tel = $agence[0]->AGENCE_TEL ?: '';
            $email = $agence[0]->AGENCE_EMAIL ?: '';
            $siteWeb = $agence[0]->AGENCE_SITEWEB ?: '';
            $adresse = $agence[0]->AGENCE_ADRESSE ?: '';
            $adresseComplement = $agence[0]->AGENCE_ADRESSECOMPLEMENT ?: '';
            $codePostal = $agence[0]->AGENCE_CODEPOSTAL ?: '';
            $ville = $agence[0]->AGENCE_VILLE ?: '';
            $rcsVille = $agence[0]->AGENCE_RCSVILLE ?: '';
            $rcsSiren = $agence[0]->AGENCE_RCSSIREN ?: '';
            $orias = $agence[0]->AGENCE_ORIAS ?: '';
            $rcPro = $agence[0]->AGENCE_RCPRO ?: '';
            $rcProNum = $agence[0]->AGENCE_RCPRONUMERO ?: '';
            $rib = $agence[0]->AGENCE_RIB ?: '';
            $iban = $agence[0]->AGENCE_IBAN ?: '';
            $mentionsLegales1 = $agence[0]->AGENCE_MENTIONSLEGALES1 ?: '';
            $mentionsLegales2 = $agence[0]->AGENCE_MENTIONSLEGALES2 ?: '';
            $mentionsLegales3 = $agence[0]->AGENCE_MENTIONSLEGALES3 ?: '';
            $formAction = $agence[0]->AGENCE_ID != '' ? '/agences/actions/update' : '/agences/actions/update';
        @endphp
    @endforeach
    <form name="add_update_agence_form" id="add_update_agence_form" method="post" action="{{ $formAction }}">
        @csrf
        <div class="">
            <h4 class="text-white text-capitalize text-base ps-3 pb-3">
                <div class="text-white me-2 d-flex align-items-center font-semibold">
                    <i class="material-icons opacity-10">language</i>
                    <span class="ms-1">Description</span>
                </div>
            </h4>
            <div class="mx-3">
                <input hidden="hidden" id="agence_id" name="agence_id" value="{{ $agenceId }}" />
                <div class="card card-body border card-plain border-radius-lg">
                    <div class="row mb-2">
                        <div class="col-1">
                            <label for="agence_compteactif" class="form-label text-xs">Actif ? 🚩</label>
                            <select id="agence_compteactif" name="agence_compteactif" class="form-select px-3 bg-white"
                                aria-label="actif ?" required="required">
                                @if ($actif)
                                    <option value='0'>Non</option>
                                    <option value='1' selected>Oui</option>
                                @else
                                    <option value='0' selected>Non</option>
                                    <option value='1'>Oui</option>
                                @endif
                            </select>
                        </div>
                        <div class="col-2">
                            <label for="agence_type" class="form-label text-xs">Type ? 🚩</label>
                            <select id="agence_type" name="agence_type" class="form-select px-3 bg-white"
                                aria-label="actif ?" required="required">
                                @if ($type == 'Filiale')
                                    <option value='Franchise'>Franchise</option>
                                    <option value='Filiale' selected>Filiale</option>
                                @else
                                    <option value='Franchise' selected>Franchise</option>
                                    <option value='Filiale'>Filiale</option>
                                @endif
                            </select>
                        </div>
                        @include('components.form-items', [
                            'colsize' => '3',
                            'bgcolor' => 'bg-white',
                            'type' => 'text',
                            'id' => 'agence_nom',
                            'label' => 'Nom',
                            'value' => $nom,
                            'required' => 'required',
                        ])
                        @include('components.form-items', [
                            'colsize' => '3',
                            'bgcolor' => 'bg-white',
                            'type' => 'text',
                            'id' => 'agence_raisonsociale',
                            'label' => 'Raison sociale',
                            'value' => $raisonSociale,
                            'required' => 'required',
                        ])
                        @include('components.form-items', [
                            'colsize' => '3',
                            'bgcolor' => 'bg-white',
                            'type' => 'text',
                            'id' => 'agence_statutjuridique',
                            'label' => 'Statut juridique',
                            'value' => $statutJuridique,
                            'required' => 'required',
                        ])
                    </div>
                    <div class="row mb-2" rowspan="3">
                        <div class="col-3">
                            <label for="agence_directeurs" class="form-label text-xs">Sélectionner les
                                directeurs</label>
                            <select id="agence_directeurs" name="agence_directeurs[]" class="form-select px-3 bg-white"
                                multiple size=3 aria-label="actif ?">
                                @foreach ($userInfoUpdate as $user)
                                    @php $selected = ''; @endphp
                                    @if ($agenceInfoUpdate[0]->AGENCE_ID !== '')
                                        @foreach ($agence as $directeur)
                                            @if ($user->EMPLOYEE_ID == $directeur->EMPLOYEE_ID)
                                                @php $selected = 'selected'; @endphp
                                            @endif
                                        @endforeach
                                    @endif
                                    <option value='{{ $user->EMPLOYEE_ID }}' {{ $selected }}>
                                        {{ $user->EMPLOYEE_NOM }} {{ $user->EMPLOYEE_PRENOM }}</option>
                                @endforeach
                            </select>
                        </div>
                        @include('components.form-items', [
                            'colsize' => '3',
                            'bgcolor' => 'bg-white',
                            'type' => 'text',
                            'id' => 'agence_capital',
                            'label' => 'Montant du capital (€)',
                            'value' => $montantCapital,
                            'required' => 'required',
                        ])
                        @include('components.form-items', [
                            'colsize' => '2',
                            'bgcolor' => 'bg-white',
                            'type' => 'datetime-local',
                            'id' => 'agence_dateentree',
                            'label' => 'Date 1er contrat',
                            'value' => $dateEntree,
                            'required' => 'required',
                        ])
                        @include('components.form-items', [
                            'colsize' => '2',
                            'bgcolor' => 'bg-white',
                            'type' => 'datetime-local',
                            'id' => 'agence_datedernierrenouvellement',
                            'label' => 'Date dernier renouvellement',
                            'value' => $dateDernierRenouvellement,
                            'required' => '',
                        ])
                        @include('components.form-items', [
                            'colsize' => '2',
                            'bgcolor' => 'bg-white',
                            'type' => 'datetime-local',
                            'id' => 'agence_dateecheance',
                            'label' => 'Date échéance contrat',
                            'value' => $dateEcheance,
                            'required' => '',
                        ])
                    </div>
                    <div class="row mb-2">
                        @include('components.form-items', [
                            'colsize' => '4',
                            'bgcolor' => 'bg-white',
                            'type' => 'tel',
                            'id' => 'agence_tel',
                            'label' => 'Tél. agence',
                            'value' => $tel,
                            'required' => '',
                        ])
                        @include('components.form-items', [
                            'colsize' => '4',
                            'bgcolor' => 'bg-white',
                            'type' => 'email',
                            'id' => 'agence_email',
                            'label' => 'Email agence',
                            'value' => $email,
                            'required' => '',
                        ])
                        @include('components.form-items', [
                            'colsize' => '4',
                            'bgcolor' => 'bg-white',
                            'type' => 'text',
                            'id' => 'agence_siteweb',
                            'label' => 'Site web agence',
                            'value' => $siteWeb,
                            'required' => '',
                        ])
                    </div>
                    <div class="row mb-2">
                        @include('components.form-items', [
                            'colsize' => '12',
                            'bgcolor' => 'bg-white',
                            'type' => 'text',
                            'id' => 'agence_adresse',
                            'label' => 'N°Rue / Voie',
                            'value' => $adresse,
                            'required' => 'required',
                        ])
                    </div>
                    <div class="row mb-2">
                        @include('components.form-items', [
                            'colsize' => '8',
                            'bgcolor' => 'bg-white',
                            'type' => 'text',
                            'id' => 'agence_adressecomplement',
                            'label' => 'Complément d\'adresse (bâtiment, appartement, etc.)',
                            'value' => $adresseComplement,
                            'required' => '',
                        ])
                        @include('components.form-items', [
                            'colsize' => '2',
                            'bgcolor' => 'bg-white',
                            'type' => 'text',
                            'id' => 'agence_codepostal',
                            'label' => 'Code postal',
                            'value' => $codePostal,
                            'required' => 'required',
                        ])
                        @include('components.form-items', [
                            'colsize' => '2',
                            'bgcolor' => 'bg-white',
                            'type' => 'text',
                            'id' => 'agence_ville',
                            'label' => 'Ville',
                            'value' => $ville,
                            'required' => 'required',
                        ])
                    </div>
                </div>
            </div>
            <div class="mt-4">
                <h4 class="text-white text-capitalize text-base ps-4 pb-3">
                    <div class="text-white me-2 d-flex align-items-center font-semibold">
                        <i class="material-icons opacity-10">balance</i>
                        <span class="ms-1">Informations légales</span>
                    </div>
                </h4>
                <div class="mx-3">
                    <div class="card card-body border card-plain border-radius-lg">
                        <div class="row mb-2">
                            @include('components.form-items', [
                                'colsize' => '4',
                                'bgcolor' => 'bg-white',
                                'type' => 'text',
                                'id' => 'agence_rcsville',
                                'label' => 'RCS (Ville)',
                                'value' => $rcsVille,
                                'required' => '',
                            ])
                            @include('components.form-items', [
                                'colsize' => '4',
                                'bgcolor' => 'bg-white',
                                'type' => 'text',
                                'id' => 'agence_rcssiren',
                                'label' => 'RCS (Siren)',
                                'value' => $rcsSiren,
                                'required' => '',
                            ])
                            @include('components.form-items', [
                                'colsize' => '4',
                                'bgcolor' => 'bg-white',
                                'type' => 'text',
                                'id' => 'agence_orias',
                                'label' => 'Orias',
                                'value' => $orias,
                                'required' => '',
                            ])
                        </div>
                        <div class="row mb-2">
                            @include('components.form-items', [
                                'colsize' => '6',
                                'bgcolor' => 'bg-white',
                                'type' => 'text',
                                'id' => 'agence_rcpro',
                                'label' => 'RCPro',
                                'value' => $rcPro,
                                'required' => '',
                            ])
                            @include('components.form-items', [
                                'colsize' => '6',
                                'bgcolor' => 'bg-white',
                                'type' => 'text',
                                'id' => 'agence_rcpronumero',
                                'label' => 'RCPro Numéro',
                                'value' => $rcProNum,
                                'required' => '',
                            ])
                        </div>
                        <div class="row mb-2">
                            @include('components.form-items', [
                                'colsize' => '6',
                                'bgcolor' => 'bg-white',
                                'type' => 'text',
                                'id' => 'agence_rib',
                                'label' => 'RIB',
                                'value' => $rib,
                                'required' => '',
                            ])
                            @include('components.form-items', [
                                'colsize' => '6',
                                'bgcolor' => 'bg-white',
                                'type' => 'text',
                                'id' => 'agence_iban',
                                'label' => 'IBAN Numéro',
                                'value' => $iban,
                                'required' => '',
                            ])
                        </div>
                        <div class="row mb-2">
                            @include('components.form-items', [
                                'colsize' => '12',
                                'bgcolor' => 'bg-white',
                                'type' => 'text',
                                'id' => 'agence_mentionslegales1',
                                'label' => 'Mentions légales 1',
                                'value' => $mentionsLegales1,
                                'required' => '',
                            ])
                        </div>
                        <div class="row mb-2">
                            @include('components.form-items', [
                                'colsize' => '12',
                                'bgcolor' => 'bg-white',
                                'type' => 'text',
                                'id' => 'agence_mentionslegales2',
                                'label' => 'Mentions légales 2',
                                'value' => $mentionsLegales2,
                                'required' => '',
                            ])
                        </div>
                        <div class="row mb-2">
                            @include('components.form-items', [
                                'colsize' => '12',
                                'bgcolor' => 'bg-white',
                                'type' => 'text',
                                'id' => 'agence_mentionslegales3',
                                'label' => 'Mentions légales 3',
                                'value' => $mentionsLegales3,
                                'required' => '',
                            ])
                        </div>
                    </div>
                    <div class="mt-2 pt-3 d-grid gap-2 d-md-flex justify-content-md-center">
                        <button type="submit" class="btn bg-blue-200 icc-etiquette-info">Mettre à jour les
                            informations</button>
                    </div>
                </div>
            </div>
        </div>
    </form>
